Public Class ClipboardImageDemo

    Private Sub ClipboardImageDemo_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.PictureBox1.Image = Image.FromFile("C:\VB2005.2\Ch7\ClipBoardDemo\images\baby.gif")
    End Sub

    Private Sub btnSetImage_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSetImage.Click
        Clipboard.SetImage(Me.PictureBox1.Image)
    End Sub

    Private Sub btnGetImage_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGetImage.Click
        If Clipboard.ContainsImage() Then
                Me.pictureBox2.Image = Clipboard.GetImage()
        Else
            Me.PictureBox2.Image = Nothing
            MsgBox("No Image Found")
        End If

    End Sub
End Class